This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 140678 - random hangs when selecting folders
random hangs when selecting folders
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-24 01:50 EST by Colin Walters
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-31 15:32:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Colin Walters 2004-11-24 01:50:26 EST
Hi,

evolution-2.0.2-4

Evolution not infrequently hangs right after I select a folder.  It
gets some percentage into "Scanning for headers in folder moo", and
then locks.  The backtrace is always similar:

(gdb) t a a bt

Thread 11 (Thread -160564304 (LWP 18756)):
#0  0x003cf7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00709a76 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib/tls/libpthread.so.0
#2  0x002f8c38 in e_msgport_wait () from
/usr/lib/evolution/2.0/libeutil.so.0
#3  0x002f92f3 in e_thread_busy () from
/usr/lib/evolution/2.0/libeutil.so.0
#4  0x00707195 in start_thread () from /lib/tls/libpthread.so.0
#5  0x004ad44a in clone () from /lib/tls/libc.so.6

Thread 10 (Thread -171054160 (LWP 18757)):
#0  0x003cf7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00709a76 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib/tls/libpthread.so.0
#2  0x002f8c38 in e_msgport_wait () from
/usr/lib/evolution/2.0/libeutil.so.0
#3  0x002f92f3 in e_thread_busy () from
/usr/lib/evolution/2.0/libeutil.so.0
#4  0x00707195 in start_thread () from /lib/tls/libpthread.so.0
#5  0x004ad44a in clone () from /lib/tls/libc.so.6

Thread 9 (Thread -181544016 (LWP 18758)):
#0  0x003cf7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00709a76 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib/tls/libpthread.so.0
#2  0x002f8c38 in e_msgport_wait () from
/usr/lib/evolution/2.0/libeutil.so.0
#3  0x002f92f3 in e_thread_busy () from
/usr/lib/evolution/2.0/libeutil.so.0
#4  0x00707195 in start_thread () from /lib/tls/libpthread.so.0
#5  0x004ad44a in clone () from /lib/tls/libc.so.6

Thread 8 (Thread -215045200 (LWP 18763)):
#0  0x003cf7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00709a76 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib/tls/libpthread.so.0
#2  0x002f8c38 in e_msgport_wait () from
/usr/lib/evolution/2.0/libeutil.so.0
#3  0x002f92f3 in e_thread_busy () from
/usr/lib/evolution/2.0/libeutil.so.0
#4  0x00707195 in start_thread () from /lib/tls/libpthread.so.0
#5  0x004ad44a in clone () from /lib/tls/libc.so.6

Thread 7 (Thread -225535056 (LWP 18764)):
#0  0x003cf7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00709a76 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib/tls/libpthread.so.0
#2  0x002f8c38 in e_msgport_wait () from
/usr/lib/evolution/2.0/libeutil.so.0
#3  0x002f92f3 in e_thread_busy () from
/usr/lib/evolution/2.0/libeutil.so.0
#4  0x00707195 in start_thread () from /lib/tls/libpthread.so.0
#5  0x004ad44a in clone () from /lib/tls/libc.so.6

Thread 6 (Thread -236024912 (LWP 18765)):
#0  0x003cf7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00709a76 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib/tls/libpthread.so.0
#2  0x002f8c38 in e_msgport_wait () from
/usr/lib/evolution/2.0/libeutil.so.0
#3  0x002f92f3 in e_thread_busy () from
/usr/lib/evolution/2.0/libeutil.so.0
#4  0x00707195 in start_thread () from /lib/tls/libpthread.so.0
#5  0x004ad44a in clone () from /lib/tls/libc.so.6

Thread 5 (Thread -204477520 (LWP 18768)):
#0  0x003cf7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
---Type <return> to continue, or q <return> to quit---
#1  0x004a3814 in poll () from /lib/tls/libc.so.6
#2  0x0327984c in PR_Poll () from /usr/lib/libnspr4.so
#3  0xf6a40643 in camel_tcp_stream_ssl_new_raw () from
/usr/lib/evolution/2.0/libcamel.so.0
#4  0xf6a3c07a in camel_stream_read () from
/usr/lib/evolution/2.0/libcamel.so.0
#5  0xf6a39eff in camel_stream_buffer_new_with_vbuf () from
/usr/lib/evolution/2.0/libcamel.so.0
#6  0xf6a3c07a in camel_stream_read () from
/usr/lib/evolution/2.0/libcamel.so.0
#7  0xf66e71c9 in camel_imap_command_response () from
/usr/lib/evolution/2.0/camel-providers/libcamelimap.so
#8  0xf66ec8ce in camel_imap_folder_changed () from
/usr/lib/evolution/2.0/camel-providers/libcamelimap.so
#9  0xf66ed2d4 in camel_imap_folder_changed () from
/usr/lib/evolution/2.0/camel-providers/libcamelimap.so
#10 0xf66edcad in camel_imap_folder_selected () from
/usr/lib/evolution/2.0/camel-providers/libcamelimap.so
#11 0xf66f270c in camel_imap_store_connected () from
/usr/lib/evolution/2.0/camel-providers/libcamelimap.so
#12 0xf69f4e22 in camel_disco_store_status () from
/usr/lib/evolution/2.0/libcamel.so.0
#13 0xf6a360fa in camel_store_get_folder () from
/usr/lib/evolution/2.0/libcamel.so.0
#14 0xf6afe6a9 in mail_tool_uri_to_folder () from
/usr/lib/evolution/2.0/components/libevolution-mail.so
#15 0xf6af7fa0 in mail_build_attachment () from
/usr/lib/evolution/2.0/components/libevolution-mail.so
#16 0xf6af47e2 in mail_enable_stop () from
/usr/lib/evolution/2.0/components/libevolution-mail.so
#17 0x002f9287 in e_thread_busy () from
/usr/lib/evolution/2.0/libeutil.so.0
#18 0x00707195 in start_thread () from /lib/tls/libpthread.so.0
#19 0x004ad44a in clone () from /lib/tls/libc.so.6

Thread 4 (Thread -193987664 (LWP 18770)):
#0  0x003cf7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00709a76 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib/tls/libpthread.so.0
#2  0x002f8c38 in e_msgport_wait () from
/usr/lib/evolution/2.0/libeutil.so.0
#3  0x002f92f3 in e_thread_busy () from
/usr/lib/evolution/2.0/libeutil.so.0
#4  0x00707195 in start_thread () from /lib/tls/libpthread.so.0
#5  0x004ad44a in clone () from /lib/tls/libc.so.6

Thread 3 (Thread -248878160 (LWP 18777)):
#0  0x003cf7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x004a3814 in poll () from /lib/tls/libc.so.6
#2  0x0064d163 in g_main_context_acquire () from /usr/lib/libglib-2.0.so.0
#3  0x0064d47f in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#4  0xf6b67d1c in e_book_set_default_source () from /usr/lib/libebook.so.8
#5  0x00707195 in start_thread () from /lib/tls/libpthread.so.0
#6  0x004ad44a in clone () from /lib/tls/libc.so.6

Thread 2 (Thread -259368016 (LWP 18778)):
#0  0x003cf7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x004a3814 in poll () from /lib/tls/libc.so.6
#2  0x0064d163 in g_main_context_acquire () from /usr/lib/libglib-2.0.so.0
#3  0x0064d47f in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#4  0x02eadbff in link_thread_io_context () from /usr/lib/libORBit-2.so.0
#5  0x006a21a4 in ?? () from /usr/lib/libglib-2.0.so.0
#6  0xf08a5458 in ?? ()
#7  0x00665812 in g_static_private_free () from /usr/lib/libglib-2.0.so.0
Previous frame inner to this frame (corrupt stack?)

Thread 1 (Thread -151120192 (LWP 18740)):
#0  0x003cf7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x004a3814 in poll () from /lib/tls/libc.so.6
#2  0x0064d163 in g_main_context_acquire () from /usr/lib/libglib-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#3  0x0064d47f in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#4  0x0307ddd5 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#5  0x08063af9 in main ()
(gdb)
Comment 1 Colin Walters 2004-11-24 01:51:22 EST
Actually, this is interesting - when I quit gdb, Evolution started
working again!  I'll investigate some more.
Comment 2 Dave Malcolm 2004-11-24 09:57:25 EST
What were you debugging in gdb, BTW?
Comment 3 Colin Walters 2004-11-24 12:14:14 EST
I just attached gdb to get a backtrace.
Comment 4 Dave Malcolm 2004-11-24 13:21:51 EST
So does this hang occur only if you've attached gdb to the evolution
process?  If so, was gdb catching SIGPIPE - Broken Pipe ?

Irritatingly, by default, gdb stops the program if this signal occurs.
 You can stop this by typing "cont" every time, or by typing:
(gdb) handle SIGPIPE nostop print pass
Comment 6 John Thacker 2006-10-31 15:32:44 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.